@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

 :root{
  --Primary-color:  #FFC544;
  --Primary-color-border:  rgb(0, 0, 0);
  --Secundary-color:#FFD984;
  --Tertiary-color: #379090;

  --FontSizeMenu: 1rem;
}
 *{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Montserrat, sans-serif;
  }
  main{
    max-width: 100dvw;
    height: 84dvh;
    margin: 1rem;
    display: flex;
    gap: 1rem;
    flex-direction: column;
  }

   main .island{
  width: 100%;
  border-radius: 1rem;
  padding: 1rem;
  display: flex;
  flex-direction: column;
  background-color: var(--Secundary-color);
  box-shadow:2px 2px 2px 2px rgba(189, 78, 78, 0.354);
  } 
   main .chamada{
    height: min-content;
    justify-content: center;
    align-items: center;
    display: flex;
    flex-direction: column;
    gap: .8rem;
   }
   main .chamada .chamada-select{
    display: flex;
    flex-direction: column;
    gap: .8rem;
   }
     main .chamada .chamada-select >*{
      text-align: center;
     }

.hidden{
  transform: translateX(-100%);
  transition: all ease-in-out .5s;
  opacity: 0;
  pointer-events: none;
}
.show{
  opacity: 1;
  transform: translateX(0%);
  transition: all ease-in-out .5s;
  pointer-events:relative;
}

#tabelaFaltas{
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
#tabelaFaltas > button{
  align-self: center;
  justify-self: center;
  color: #fff;
  width: 20%;
  padding: 1rem;
  font-weight: 700;
  text-align: center;
  align-self: center;
  border-radius: 8px;
  background-color: var(--Tertiary-color);
  transition: all .3s ease-in-out;
  cursor: pointer;
}

#tabelaFaltas table{
  width: 100%;
}
#tabelaFaltas table thead{
  margin-bottom: 1rem;
}
#tabelaFaltas table thead tr th{
  font-size: 1.3rem;
 
}
#tabelaFaltas table {
  border-collapse: separate;
  border-spacing: 0 0.5rem; /* espaçamento vertical entre linhas */
}
#tabelaFaltas table tbody tr td:nth-child(n+2){
  transform: translateX(47%);
}


input[type="checkbox"] {
  transform: scale(1.5); 
}